// Radios
.q-radio {
  &__bg {
    border: 1px solid $primary-text-color !important;
    border-radius: 29px !important;
    background: $primary-color !important;

    path {
      fill: white !important;
    }

    path:nth-child(1) {
      position: relative !important;
      fill: none !important;

      &::before {
        content: "" !important;
        width: 100% !important;
        height: 100% !important;
        position: absolute !important;
        top: 0 !important;
        left: 0 !important;
      }
    }
  }

  &__inner {
    font-size: 40px !important;
    width: 1em !important;
    min-width: 1em !important;
    height: 1em !important;
    border-radius: 50% !important;
    color: $primary-text-color !important;
  }
}

.q-radio[aria-checked=true] {
  .q-radio__bg {
    background: $hover-color !important;
  }

  .q-radio__inner::before {
    background: $hover-color !important;
    opacity: 0.5 !important;
    transform: scale3d(0.7, 0.7, 1) !important;
    transition: none !important;
  }
}

.q-radio[aria-checked=false] {
  .q-radio__bg {
    background: none !important;
  }
}